## texlive-base 2012.20120611

=== Makefile ===
# $Id: Makefile,v 3.70 2012/05/24 00:30:38 krisrose Exp $
#
# Un*x Makefile for Xy-pic macros, fonts, documentation, and distribution.
# Copyright (c) 1991-2011  Kristoffer H. Rose  <krisrose@tug.org>
#
# This file is part of the Xy-pic macro package.
# Copyright (c) 1991-2011  Kristoffer H. Rose  <krisrose@tug.org>
# See the README and INSTALL files for further information.
#
# The Xy-pic package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# The Xy-pic package is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this package; if not, see http://www.gnu.org/licenses/.

# Update these together with xy.doc's xyversion!
VERSION = 3.8.8
SHORTVERSION = 388

# CONTENTS:
#
#   Configuration section:
#	Directories.
#	Fonts.
#	Programs.
#
#   Generic targets.
#   Macros.
#   Fonts.
#   PostScript and PDF font support.
#   Documentation.
#   Home page.
#   Distribution.
#   (Xy-pic, the movie.)
#   Tags.
#
#   Log.


#### CONFIGURATION SECTION ##################################################

# Please configure as instructed below for each of the DIRECTORIES, FONTS,
# and PROGRAMS parts by editing the definitions to fit your system.

#### DIRECTORIES.
#
# The following variables define the directories where the various parts of
# Xy-pic should be installed.
#
# You should *EITHER* set TDSROOT to the root of a TDS-compliant directory
# tree, usually named .../texmf (if you have a TDS [TeX Directory Structure]
# compliant system then that is in fact all you need to do):
#
USR = /usr/local
TDSROOT = $(USR)/share/texmf
#
# *OR* you should set each of the following variables right for you system
# (do this if your setup does not match TDS exactly):
#
TEXINPUTDIR = $(TDSROOT)/tex/generic/xypic
TEXFONTDIR = $(TDSROOT)/fonts/tfm/public/xypic
TEXDOCDIR = $(TDSROOT)/doc/generic/xypic
MFINPUTDIR = $(TDSROOT)/fonts/source/public/xypic
TYPE1DIR = $(TDSROOT)/fonts/type1/public/xypic
PFMDIR = $(TDSROOT)/fonts/pfm/public/xypic
AFMDIR = $(TDSROOT)/fonts/afm/public/xypic
PSHEADERDIR = $(TDSROOT)/ps/xypic
#
# FONTDIR is the directory where bitmap fonts are stored and is special
# (If you do not plan to install bitmap fonts because they are automatically
# generated and remember to set the MAGS variable below to `.' then you may
# ignore this step.)
#
# Since the location of individual fonts sometimes depend on properties of
# the font, you can insert
#
#	$${dpi}		for the font resolution in `Dots Per Inch' (NOT the
#   			device resolution---that should be inserted directly)
#
#	$${mode}	for the METAFONT `mode' used to generate the font
#
# ---what these get set to depends on the next section.
#
# For example, if you set FONTDIR=/usr/lib/tex/pk$${dpi} and decide in the
# next section to generate PK fonts at 300 dpi using a generic mode
# (localfont) then you get files named /usr/lib/tex/pk300/xy*.300pk.
#
# If your installation still uses the (inefficient) principle of having all
# PK files in the same directory as the TFM files then you should just set
# FONTDIR=$(TEXFONTDIR).
#
FONTDIR = $(TDSROOT)/fonts/pk/$${mode}/public/xypic/dpi$${dpi}

#### FONTS.
#
# The METAFONT program needs to know the `mode' of your printer in order to
# be able to generate correct fonts for it.  On most installations the mode
# `localfont' is made synonymous with the mode required for the default
# printer; in that case you can just pick the `MODES = localfont' line.  If
# this is not the case -- or you need fonts for several output devices---then
# you will have to consult the local METAFONT guide/guru to inquire what
# modes are used at your site.  A good place to look for the modes used is in
# the MakeTeXPK script found on some sites.
#
# Set MODES to the list of printers you wish to use:
#
MODES = localfont
#MODES = cx ljfour
#
# You should also decide which TeX \magsteps you wish the font to be
# generated at.
#
# The default is . (dot) which prevents installation of any bitmaps because
# most modern installations generate them automatically.
#
MAGS = .
#MAGS = 0
#MAGS = 0 0.5 1 2

#### PROGRAMS.
#
# You don't have to edit the following lines unless you have a non-standard
# un*x system or un*x TeX installation...
#
SHELL = /bin/sh
#
TEX = TEXFONTS=.:$(TEXFONTDIR):$$TEXFONTS tex
LATEX = TEXFONTS=.:$(TEXFONTDIR):$$TEXFONTS latex
PDFLATEX = TEXFONTS=.:$(TEXFONTDIR):$$TEXFONTS pdflatex
BIBTEX = BIBINPUTS=. bibtex
MAKEINDEX = makeindex
#
# The standard post-DVI processing commands...
#
DVIPS = dvips -D1200 -t $(PAPER) -f
DVIPDFMX = dvipdfmx -p $(PAPER) -V 5 -g 2pt
PS2PDF = ps2pdf -sPAPERSIZE=$(PAPER) -dCompatibilityLevel=1.5 -dPDFSETTINGS=/prepress
#
# Set MF to a command that will run plain METAFONT on your system.
#
MF = MFINPUTS=.:$(MFINPUTDIR):$$MFINPUTS mf
#
# Set MPOST to a command that will run METAPOST on your system.
#
MPOST = MFINPUTS=.:$(MFINPUTDIR):$$MFINPUTS mpost
#
# Used to generate PostScript font metric files (NOT outlines).
#
MFTRACE = mftrace --formats=afm,pfm
#
# Set GFTOPK to the command "false" and PK to "gf" if you use GF rather than PK
# bitmap font files.  There is no support for PXL-files [are they still used?].
# (Note: the default setting of MAGS above doesn't use bitmaps at all.)
#
GFTOPK = gftopk
PK=pk
#
#GFTOPK = false
#PK=gf
#
RM = rm -fr
CP = cp -f
MV = mv -f
#
# Set the INSTALLs to cp -f if your system does not have the install command.
#
INSTALL = install -c -m 444
INSTALLW = install -c -m 644
INSTALLX = install -c -m 555
#INSTALL = cp -f
#INSTALLW = cp -f
#INSTALLX = cp -f
#
# Set MKDIR to a mkdir command that creates intermediate directories.
#
MKDIR = mkdir -p -m 755
#
# Checksums...
#
MD5SUM = md5sum
SIGN = (cd;gpg --clearsign)
#
# DOC2TEX <file>: output efficient .tex file from inefficient .doc <file> with
# inlined documentation [my favourite hack :-].  Removes all DOCMODE lines,
# leaving only things before the first and in DOCMODE(...DOCMODE) brackets;
# also removes all blank lines and comment lines.
#
# If it breaks your sed you can just set DOC2TEX to cat although that will
# make the installed macro files three times larger and the reading of them
# somewhat slower...so in that case you are probably better of getting the
# `normal' distribution where this has already been done for you!
# If you are on a Windows system or otherwise adventurous then you can also
# try the included "doc2tex.com" script contributed by R.Gaertner.
#
DOC2TEX = sed \
	-e '/^.DOCMODE(/b Yes' \
	-e '/^.DOCMODE/b No' \
	-e 'x' \
	-e '/%%DONTCOPY%%/b Ignore' \
	-e 'x' \
	-e 's/[ 	][ 	]*/ /g' \
	-e 's/{%.*$$/{%/' -e 's/}%.*$$/}%/' -e 's/ %.*$$//'  \
	-e '/^ *%$$/d' -e '/^ *$$/d' -e '/^ *%[^%]/d' \
	-e 's/^%% \$$Id/%% $@ from $$Id/' \
	-e 's/REPLACEWITHVERSION/$(VERSION)/' \
	-e 's/REPLACEWITHSHORTVERSION/$(SHORTVERSION)/' \
	-e 'b End' \
	-e ': No' -e 's/.*/%%DONTCOPY%%/' -e 'x' -e 'd' \
	-e ': Yes' -e 's/.*//' -e 'x' -e 'd' \
	-e ': Ignore' -e 'x' -e 'd' \
	-e ': End'
#
# MF2TFM script: make .tfm file and all requested bitmap files from .mf
# file by executing METAFONT with $${mode} and $${dpi} as described above.
#
# NOTE: for use as implicit make rule; do not modify unless you are sure you
# need to!
#
MF2TFM = set -x; for mode in $(MODES); do \
	if [ "$(MAGS)" = "." ]; then \
	  $(MF) "\\mode=$$mode; input $<";\
	  $(RM) $*.*gf;\
	else \
	  for mag in $(MAGS); do \
	    $(MF) "\\mode=$$mode; mag=magstep($$mag); input $<"; done;\
	  for f in $*.*gf; do if test -f "$$f"; then \
	    if $(GFTOPK) ./$$f; then $(RM) $$f; fi; else :; fi; done;\
	fi; done
#
# Compression.
#
# TAR <files>		output tar archive with <files>
# GZIP			compression filter
# GUNZIP		uncompression filter
# GZ			filename extension appropriate for compressed files
#
# TODO: change compression to proper GNU gzip once everyone supports it...
#
TAR = tar cf -
GZIP = gzip -fv9
GUNZIP = gunzip
GZ = .gz
ZIP = zip
UNZIP = unzip -qaoLDD
#
# GNU AWK (gawk) or (in a pinch) NAWK.
#
GAWK = gawk
#
# Finally the paper size to use!
#
PAPER = letter

#### END OF CONFIGURATION SECTION ###########################################


# GENERIC TARGETS.
#
all:		macros fonts manual
.PHONY:		all install clean realclean sterile
#
install:	all install.macros install.trailer \
		install.fonts install.ps
#
clean::
	$(RM) *.aux *.toc *.lof *.blg *.log *.idx *.ilg *.fmt *.dvi *.ps \
	  *.ppm *.nops *.tmp *.ans *.xyc *.xyd \
	  ./#* *~ core *.BAK *JNL xytest.*gf *.out out
#
realclean::	clean
	$(RM) `cat .cvsignore`
	touch xydoc.front xydoc.back


# MACROS.
#
TRAILERSOURCES =	TRAILER COPYING CATALOG.doc FONTCOPYING FONTCOPYING.patch \
			MAKE README Makefile INSTALL

KERNELSOURCES = 	xy.doc xyidioms.doc xyrecat.doc

OPTIONSOURCES = 	\
	xyframe.doc xycmtip.doc xytips.doc xycurve.doc \
	xyline.doc xyrotate.doc xycolor.doc xycrayon.doc xytile.doc \
	xyimport.doc xytpic.doc xytp-f.doc \
	xyps.doc xyps-ps.doc xyps-pro.doc xyps-col.doc xyps-c.doc xyps-f.doc \
	xyps-l.doc xyps-r.doc xyps-s.doc xyps-t.doc \
	xypsdict.doc xypspatt.doc xydocps.doc \
	xydummy.doc xyall.doc xymatrix.doc xyarrow.doc xygraph.doc \
	xy2cell.doc xypoly.doc xyarc.doc xyknot.doc xyweb.doc xyling.doc \
	xydvips.doc xytextures.doc xy16textures.doc xyoztex.doc xy17oztex.doc \
	xycmactex.doc xydvitops.doc xyemtex.doc xydvidrv.doc xyxdvi.doc \
	xymovie.doc xyv2.doc xypic.doc xypicture.doc \
	xynecula.doc xysmart.doc \
	xypdf.dtx xypdf.ins

LATEXSTYLES = 		xy.sty xypic.sty movie.cls
OPTIONDATA = 		xymacpat.xyp

MACROSOURCES =		$(TRAILERSOURCES) $(KERNELSOURCES) $(LATEXSTYLES) \
			$(OPTIONSOURCES) $(OPTIONDATA)

NOTES =			TRAILER COPYING FONTCOPYING CATALOG README \
			INSTALL VERSIONS Xy-pic.html Xy-logo.png

KERNEL =		xy.tex xyidioms.tex xyrecat.tex

OPTION = 		\
	xyframe.tex xycmtip.tex xytips.tex xycurve.tex \
	xyline.tex xyrotate.tex xycolor.tex xycrayon.tex xytile.tex \
	xyimport.tex xytpic.tex xytp-f.tex \
	xyps.tex xyps-ps.tex xyps-pro.tex xyps-col.tex xyps-c.tex xyps-f.tex \
	xyps-l.tex xyps-r.tex xyps-s.tex xyps-t.tex \
	xypsdict.tex xypspatt.tex $(OPTIONDATA) \
	xydummy.tex xyall.tex xymatrix.tex xyarrow.tex xygraph.tex \
	xy2cell.tex xypoly.tex xyarc.tex xyknot.tex xyweb.tex \
	xydvips.tex xytextures.tex xy16textures.tex xyoztex.tex xy17oztex.tex \
	xycmactex.tex xydvitops.tex xyemtex.tex xydvidrv.tex xyxdvi.tex \
	xymovie.tex xyv2.tex xypic.tex xypicture.tex \
	xynecula.tex xysmart.tex \
	xypdf.tex xypdf-co.tex xypdf-cu.tex xypdf-fr.tex xypdf-li.tex xypdf-ro.tex

MACROS =		$(KERNEL) $(OPTION) \
			$(LATEXSTYLES)

PSPRO = 		xy$(SHORTVERSION)dict.pro
PSMAP = 		xypic.map

SUPPORT =		install-tds \
			dvitogif89a pnmrawtopcropwhite.c

# Macros have .tex suffix and are generated from the .doc files.
#
.SUFFIXES:	.tex .doc
.doc.tex:;	$(DOC2TEX) $< > $@
#
.PHONY:		macros install.macros
#
macros: 	$(MACROS)
install.macros:	$(MACROS)
	-test -d $(TEXINPUTDIR) || $(MKDIR) $(TEXINPUTDIR)
	for f in $(MACROS); do $(INSTALL) $$f $(TEXINPUTDIR)/$$f; done
#
# Kernel dependencies:
#
xy.tex:				xy.doc
xyidioms.tex:			xyidioms.doc
xyrecat.tex:			xyrecat.doc
#
# Extension option dependencies:
#
xyframe.tex:			xyframe.doc
xytips.tex:			xytips.doc
xycmtip.tex:			xycmtip.doc
xycurve.tex:			xycurve.doc
xyline.tex:			xyline.doc
xyrotate.tex:			xyrotate.doc
xycolor.tex:			xycolor.doc
xycrayon.tex:			xycrayon.doc
xyimport.tex:			xyimport.doc
xytile.tex:			xytile.doc
#
xytpic.tex:			xytpic.doc
xytp-f.tex:			xytp-f.doc
#
xyemtex.tex:			xyemtex.doc
#
xyps.tex:			xyps.doc
xyps-ps.tex:			xyps-ps.doc
xyps-pro.tex:			xyps-pro.doc
xyps-col.tex:			xyps-col.doc
xyps-c.tex:			xyps-c.doc
xyps-f.tex:			xyps-f.doc
xyps-l.tex:			xyps-l.doc
xyps-r.tex:			xyps-r.doc
xyps-s.tex:			xyps-s.doc
