=== debian/changelog ===
texlive-base (2012.20120611-5) unstable; urgency=low

  * properly purge some conffiles (Closes: #688382)
  * fix typo in babel french ldf file, upstream fix (Closes: #689450)
  * remove conffiles even if upgrading from intermediate packages
    (Closes: #686487)

 -- Norbert Preining <preining@debian.org>  Wed, 03 Oct 2012 21:01:18 +0900

texlive-base (2012.20120611-4) unstable; urgency=low

  * fix wrong format of zip list for texdoc, which broke searching for
    compressed documentation.
  * fix updmap not honoring the dvipsDownloadBase35 setting 
    (Closes: #686335)

 -- Norbert Preining <preining@debian.org>  Sat, 01 Sep 2012 08:37:35 +0900

texlive-base (2012.20120611-3) unstable; urgency=low

  * texlive-base.postinst(.post): fix logic error in testing whether old
    dirs should be removed, thanks for spotting to Anders Kaseorg.
    (Closes: #679042)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Jun 2012 07:31:31 +0900

texlive-base (2012.20120611-2) unstable; urgency=low

  * texdoc: switch from see to xdg-open, change dependency from mime-support
    to xdg-utils (Closes: #678747)
  * natbib: fix spurious spaces when using \defcitealias (Closes: #628044)

 -- Norbert Preining <preining@debian.org>  Mon, 25 Jun 2012 11:00:26 +0900

texlive-base (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)
  * set TEXMFVAR and TEXMFCONFIG back to ~/.texmf-var and ~/.texmf-config
  * adjust OSFONTDIR in texmf.cnf
  * fix and update debian updmap patch to work with updated updmap.pl:
    move TEXMFLOCAL also over TEXMFDEBIAN

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:01:33 +0900

texlive-base (2012.20120529-1) unstable; urgency=low

  [ Norbert Preining ]
  * new upstream checkout
   - update of xeCJK give now warning on uninitialized CJK font 
     (Closes: #673205)
   - remove old patches (partially applied upstream)
   - remove fix-xyframe patch, fixed in upstream
   - texdoc cweb now finds cwebman (Closes: #674185)
   - new koma-script fixes links in documentation (Closes: #671997)
  * Debian changes
    - patches/debian_updmap-search-path
      give big fat warning and advice what to do when updmap --syncwithtrees 
      is called
    - patches/texdoc-see-and-zip
      enable gz/bz2/xz compression for texdoc (Closes: #673258)
    - texlive-base.postinst: fix comparison of empty version (Closes: #674022)
    - go back to use ~/.texmf-var and ~/.texmf-config for TEXMFVAR/CONFIG

  [ Hilmar Preuße ]
  * fix URL for LaTeX minimal example.

  [ Frank Küster ]
  * fix texconfig usage and interference with Debian methods

 -- Norbert Preining <preining@debian.org>  Wed, 30 May 2012 07:54:43 +0900

texlive-base (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * texlive-xetex needs to depend on tipa, otherwise tipa will not be
    installed on upgrades from stable, and xunicode will not work
    (Closes: #672348)
  * fix a (harmless) logic error in the postinst of texlive-base
    (no effective change)
  * switch to xz compression for orig and deb

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:21:50 +0900

texlive-base (2011.20120509-1) unstable; urgency=low

  [ Norbert Preining ]
  * new upstream release:
    . new xecjk package (Closes: #668562)

  [ Frank Küster ]
  * add Breaks/Replaces for texlive-latex-base against older context
    (Closes: #671716). 

 -- Frank Küster <frank@debian.org>  Sun, 06 May 2012 22:59:13 +0200

texlive-base (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot
  * texlive-xetex: add breaks against texlive-math-extra (Closes: #670109)
  * update po-debconf stuff

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 14:31:49 +0900

texlive-base (2011.20120410-1) unstable; urgency=low

  * tl-paper: make sure that some side conditions are caught properly
    (Closes: #666995)
  * texlive-base.libpaper: don't assume that tl-paper returns something
  * (upstream fix) make TLPaper less noise if it cannot find a proper
    paper definition
  * texlive-xetex recommends tipa (Closes: #667026)
  * libpaper rework (Closes: #665947)
    - keep original config files for the four progs in /u/s/texlive/...
    - factorize out the paper setting of the four progs in separate files
      (debian/patches/*factorize)
    - texlive-base depends on a version of texlive-binaries which ships
      programs (dvipdfmx, dvips) that are able to load sub-config files
    - use ucf/ucfr/ucfq to get rid of the config files (determine their
      change status and make backup if changed, otherwise remove)
  * includes fixed thumbpdf.sty fixing texi2dvi problems (Closes: #666532)

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2012 10:26:42 +0900

texlive-base (2011.20120322-2) unstable; urgency=low

  * on upgrade from 2009, try to remove old directories of conffiles
    that have been removed via maintscript (Closes: #665795)
  * make sure that debconf templates are installed (Closes: #666680)
    (special thanks to Andreas Beckmann for helpful comments and ideas!)
  * use tl-paper instead of texconfig-sys in texlive-base postinst

 -- Norbert Preining <preining@debian.org>  Mon, 02 Apr 2012 19:48:36 +0900

texlive-base (2011.20120322-1) unstable; urgency=low

  * upload to unstable
  * libpaper changes (fk):
    - include tl-paper in /usr/bin
    - add code to texlive-base.libpaper to recreate formats and
      update ls-R database after paper changes
  * replace otf/ttf fonts with links to the files in the
    respective Debian package, depend on that package
  * support for language.dat.lua
  * remove useless /etc/texmf/hyphen.d/09texlive-base.cnf (rm_conffile)

  [ Hilmar Preuße ]

  This is TL 2012, yeah!! (Closes: #643023) (Closes: #655379)

  List of fixed bugs in new TeX Live
  * New version of polyglossia (Closes: #644207)
    * has fixes for language "brazil" (Closes: #607158)
  * again contains oldgerm.pdf (Closes: #588378)

