=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-binaries (>= 2012-0), xdg-utils, ucf, texlive-binaries (>= 2012.20120516), libpaper-utils, texlive-common (>= 2012.20120516), ${misc:Depends}, luatex (>= 0.70.1)
Conflicts: texinfo (<< 4.8), luatex (<< 0.46.0-5), dvipdfmx
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: perl-tk, xpdf-reader | pdf-viewer, ghostscript, gv | postscript-viewer
Replaces: texlive-binaries (<< 2011), dvipdfmx, luatex (<< 0.45.0), tex-common (<< 3)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX
   macros, Computer Modern fonts, and configuration for common drivers; no
   LaTeX.
 .
 This package includes the following CTAN packages:
  amsfonts -- TeX fonts from the American Mathematical Society.
  bibtex -- Process bibliographies for LaTeX, etc.
  cm -- Computer Modern fonts.
  dvipdfm -- A DVI driver to produce PDF directly.
  dvipdfmx -- An extended version of dvipdfm.
  dvipdfmx-def --
  dvips -- A DVI to PostScript driver.
  enctex -- A TeX extension that translates input on its way into TeX.
  etex -- An extended version of TeX, from the NTS project.
  etex-pkg -- E-TeX support package.
  glyphlist --
  gsftopk -- Convert "ghostscript fonts" to PK files.
  hyph-utf8 -- Hyphenation patterns expressed in UTF-8.
  hyphen-base --
  ifluatex -- Provides the \ifluatex switch.
  ifxetex -- Am I running under XeTeX?
  kpathsea -- Path searching library for TeX-related files.
  lua-alt-getopt -- Process application arguments the same way as
   getopt_long.
  makeindex -- Process index output to produce typesettable code.
  metafont -- A system for specifying fonts.
  mflogo -- LaTeX support for MetaFont logo fonts.
  mfware -- Supporting tools for use with Metafont.
  misc --
  pdftex -- A TeX extension for direct creation of PDF.
  plain --
  tetex -- scripts and files originally written for or included in teTeX
  tex -- A sophisticated typesetting engine.
  texconfig --
  xdvi -- A DVI previewer for the X Window System.
  texdoc -- Documentation access for TeX distributions.

Package: texlive-generic-recommended
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Replaces: texlive-latex-extra-doc (<< 2010)
Description: TeX Live: Recommended generic packages
 Recommended packages that work with multiple formats.
 .
 This package includes the following CTAN packages:
  epsf -- Simple macros for EPS inclusion.
  fontname -- Scheme for naming fonts in TeX.
  genmisc --
  kastrup --
  multido -- A loop facility for Generic TeX.
  path -- Typeset paths, making them breakable.
  tex-ps -- TeX to PostScript generic macros and add-ons.
  ulem -- Package for underlining.

Package: texlive-latex-base
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Conflicts: ivritex (<= 1.1.1-5)
Recommends: texlive-latex-base-doc
Replaces: context (<< 2011)
Breaks: context (<< 2011)
Description: TeX Live: Basic LaTeX packages
 These packages are mandated by the core LaTeX team, or at least very
   strongly recommended.
 .
 This package includes the following CTAN packages:
  ae -- Virtual fonts for T1 encoded CMR-fonts.
  amscls -- AMS document classes for LaTeX.
  amsmath -- AMS mathematical facilities for LaTeX.
  babel -- Multilingual support for Plain TeX or LaTeX.
  babelbib -- Multilingual bibliographies.
  carlisle -- David Carlisle's small packages.
  colortbl -- Add colour to LaTeX tables.
  fancyhdr -- Extensive control of page headers and footers in LaTeX2e.
  fix2col -- Fix miscellaneous two column mode features.
  geometry -- Flexible and complete interface to document dimensions.
  graphics -- Standard LaTeX graphics.
  hyperref -- Extensive support for hypertext in LaTeX.
  latex -- A TeX macro package that defines LaTeX.
  latex-bin -- LaTeX executables and man pages.
  latex-fonts -- A collection of fonts used in LaTeX distributions.
  latexconfig --
  ltxmisc -- Miscellaneous LaTeX packages, etc.
  mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX.
  mptopdf -- mpost to PDF, native MetaPost graphics inclusion
  natbib -- Flexible bibliography support.
  oberdiek -- A bundle of packages submitted by Heiko Oberdiek.
  pdftex-def -- Colour and Graphics support for PDFTeX.
  pslatex -- Use PostScript fonts by default.
  psnfss -- Font support for common PostScript fonts.
  pspicture -- PostScript picture support.
  tools -- The LaTeX standard tools bundle.

Package: texlive-latex-recommended
Architecture: all
Depends: texlive-binaries (>= 2012-0), texlive-latex-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Conflicts: texlive-latex3 (<< 2011)
Recommends: latex-xcolor (>= 2.09), texlive-latex-recommended-doc, latex-beamer (>= 3.06.dfsg.1-0.1), prosper (>= 1.00.4+cvs.2006.10.22)
Provides: texlive-latex3
Replaces: texlive-latex3
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread
   use.
 .
 This package includes the following CTAN packages:
  anysize -- A simple package to set up document margins.
  booktabs -- Publication quality tables in LaTeX
  caption -- Customising captions in floating environments.
  cite -- Improved citation handling in LaTeX.
  cmap --
  crop -- Support for cropmarks.
  ctable -- Easily typeset centered tables.
  ec -- Computer modern fonts in T1 and TS1 encodings.
  eso-pic -- Add picture commands (or backgrounds) to every page.
  euler -- Use AMS Euler fonts for math.
  extsizes -- Extend the standard classes' size options.
  fancybox -- Variants of \fbox and other games with boxes.
  fancyref -- A LaTeX package for fancy cross-referencing.
  fancyvrb -- Sophisticated verbatim text.
  float -- Improved interface for floating objects.
  fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX.
  fp -- Fixed point arithmetic.
  index -- Extended index for LaTeX including multiple indexes.
  jknapltx -- Miscellaneous packages by Joerg Knappen.
  koma-script -- A bundle of versatile classes and packages
  l3kernel -- LaTeX3 programming conventions.
  l3packages -- High-level LaTeX3 concepts.
  l3experimental -- Experimental LaTeX3 concepts.
  listings -- Typeset source code listings using LaTeX.
  mdwtools -- Miscellaneous tools by Mark Wooding.
  memoir -- Typeset fiction, non-fiction and mathematical books.
  metalogo -- Extended TeX logo macros.
  mh -- The MH bundle
  microtype -- An interface to the micro-typographic features of pdfTeX.
  ms -- Various LaTeX packages by Martin Schroder.
  ntgclass -- "European" versions of standard classes.
  parskip -- Layout with zero \parindent, non-zero \parskip.
  pdfpages -- Include PDF documents in LaTeX.
  powerdot -- A presentation class.
  psfrag -- Replace strings in encapsulated PostScript figures.
  rcs -- Use RCS (revision control system) tags in LaTeX documents.
  rotating -- Rotation tools, including rotated full-page floats.
  sansmath -- Maths in a sans font.
  section -- Modifying section commands in LaTeX.
  seminar -- Make overhead slides.
  sepnum -- Print numbers in a "friendly" format.
  setspace -- Set space between lines.
  subfig -- Figures broken into subfigures
  textcase -- Case conversion ignoring mathematics, etc.
  thumbpdf -- Thumbnails for pdfTeX and dvips/ps2pdf.
  typehtml -- Typeset HTML directly from LaTeX.
  underscore -- Control the behaviour of "_" in text.
  url -- Verbatim with URL-sensitive line breaks.
  xkeyval -- Extension of the keyval package.

Package: texlive-fonts-recommended
Section: fonts
Architecture: all
Depends: ttf-marvosym, texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: texlive-fonts-recommended-doc, tex-gyre, tipa (>= 2:1.2-2.1)
Description: TeX Live: Recommended fonts
 Recommended fonts, including the base 35 PostScript fonts, Latin Modern, TeX
   Gyre, and T1 and other encoding support for Computer Modern, in outline
   form.
 .
 This package includes the following CTAN packages:
  avantgar -- URW "Base 35" font pack for LaTeX.
  bookman -- URW "Base 35" font pack for LaTeX.
  charter -- Charter fonts.
  cmextra --
  courier -- URW "Base 35" font pack for LaTeX.
  euro -- Provide Euro values for national currency amounts.
  euro-ce -- Euro and CE sign font.
  eurosym -- MetaFont and macros for Euro sign.
  fpl -- SC and OsF fonts for URW Palladio L
  helvetic -- URW "Base 35" font pack for LaTeX.
  marvosym -- Martin Vogel's Symbols (marvosym) font.
  mathpazo -- Fonts to typeset mathematics to match Palatino.
  ncntrsbk -- URW "Base 35" font pack for LaTeX.
  palatino -- URW "Base 35" font pack for LaTeX.
  pxfonts -- Palatino-like fonts in support of mathematics.
  rsfs -- Ralph Smith's Formal Script font.
  symbol -- URW "Base 35" font pack for LaTeX.
  tex-gyre-math -- Maths fonts to match tex-gyre text fonts.
  times -- URW "Base 35" font pack for LaTeX.
  txfonts -- Times-like fonts in support of mathematics.
  utopia -- Adobe Utopia fonts.
  wasy -- The wasy fonts (Waldi symbol fonts).
  wasysym -- LaTeX support file to use the WASY2 fonts
  zapfchan -- URW "Base 35" font pack for LaTeX.
  zapfding -- URW "Base 35" font pack for LaTeX.

Package: texlive-pictures
Architecture: all
Depends: luatex, texlive-binaries (>= 2012-0), texlive-common (>= 2012.20120516), ${misc:Depends}, texlive-base (>= 2012.20120516)
Recommends: ruby | ruby-interpreter, texlive-pictures-doc, wish, pgf (>= 1.01.dfsg.1)
Suggests: dot2tex
Description: TeX Live: Graphics packages and programs
 This package includes the following CTAN packages:
  adjustbox --
  asyfig -- Commands for using Asymptote figures.
  autoarea -- Automatic computation of bounding boxes with PiCTeX.
  bardiag -- LateX package for drawing bar diagrams.
  bloques -- Generate control diagrams.
  bodegraph -- Draw Bode, Nyquist and Black plots with gnuplot and TikZ.
  bondgraph -- Create bond graph figures in LaTeX documents.
  braids -- Draw braid diagrams with PGF/TikZ.
  cachepic -- Convert document fragments into graphics.
  chemfig -- Draw molecules with easy syntax.
  combinedgraphics -- Include graphic (EPS or PDF)/LaTeX combinations.
  circuitikz -- Draw electrical networks with TikZ.
  curve -- A class for making curriculum vitae.
  curve2e -- Extensions for package pict2e.
  curves -- Curves for LaTeX picture environment
  dcpic -- Commutative diagrams in a LaTeX and TeX documents.
  diagmac2 -- Diagram macros, using pict2e.
  doc-pictex -- A summary list of PicTeX documentation.
  dottex -- Use dot code in LaTeX.
  dot2texi -- Create graphs within LaTeX using the dot2tex tool.
  dratex -- General drawing macros.
  drs -- Typeset Discourse Representation Structures (DRS).
  duotenzor -- Drawing package for circuit and duotensor diagrams.
  eepic -- Extensions to epic and the LaTeX drawing tools.
  epspdf -- Converter for PostScript, EPS and PDF.
  epspdfconversion -- On-the-fly conversion of EPS to PDF.
  esk -- Package to encapsulate Sketch files in LaTeX sources.
  fig4latex -- Management of figures for large LaTeX documents.
  gincltex -- Include TeX files as graphics (.tex support for
   \includegraphics).
  gnuplottex -- Embed Gnuplot commands in LaTeX documents.
  gradientframe -- Simple gradient frames around objects.
  grafcet -- Draw Grafcet/SFC with TikZ.
  here -- Emulation of obsolete package for "here" floats.
